<?php
//사이트 명칭 (DB 사용않음)
define('_APP_NAME_', '(주)한양공업');

//# 사이트 디렉토리 - 절대경로
define( '_ROOT_PATH_', dirname(__DIR__) );
define( '_CONF_PATH_', _ROOT_PATH_.'/config' );
define( '_LIB_PATH_',  _ROOT_PATH_.'/lib' );

//# 업로드 관련 경로
define( '_UP_PATH_', _ROOT_PATH_."/upload_files" );

//# 홈페이지 Main URL
define( '_DOMAIN_', $_SERVER['HTTP_HOST']); //직접입력시 지정도메인
define( '_SITE_PATH_', _ROOT_PATH_.'/www' );
define( '_SITE_URL_', "//"._DOMAIN_ );
define( '_SITE_INC_PATH_', _SITE_PATH_."/include" );
define( '_SITE_INC_URL_', _SITE_URL_."/include" );

define( '_HOME_PATH_', _SITE_PATH_ );
define( '_HOME_URL_', _SITE_URL_ );
define( '_HOME_INC_PATH_', _SITE_INC_PATH_ );
define( '_HOME_INC_URL_', _SITE_INC_URL_ );

//# 관리자 경로
define( '_ADM_PATH_', _SITE_PATH_.'/kadm' );
define( '_ADM_URL_', _SITE_URL_.'/kadm' );
define( '_ADM_INC_PATH_', _ADM_PATH_.'/inc' );
define( '_ADM_INC_URL_', _ADM_URL_.'/inc' );

//# 서비스 경로
define( '_SVC_PATH_', _SITE_PATH_.'/ksvc' );
define( '_SVC_URL_', _SITE_URL_.'/ksvc' );
define( '_SVC_INC_PATH_', _SVC_PATH_.'/inc' );
define( '_SVC_INC_URL_', _SVC_URL_.'/inc' );

//싱글로그인만 허용할경우 true 처리. 인증토큰 방식으로 처리와 병용을 체크
define( '_SINGLE_LOGIN_', false );

//지정도메인으로만 접속
if( $_SERVER['HTTP_HOST'] && $_SERVER['HTTP_HOST'] != _DOMAIN_ ){
  header("location:http://"._DOMAIN_.$_SERVER['REQUEST_URI']); exit;
}

//HTTPS로만 접속
if( $_SERVER['SERVER_PORT'] != '443' ){
  //header("location:https://"._DOMAIN_.$_SERVER['REQUEST_URI']); exit;
}

//기본보안
ini_set( 'allow_url_fopen', false ); // 외부 파일 include 차단
ini_set( 'register_globals', false ); // GET/POST/SESSION 등 구분

//세션보안
register_shutdown_function( 'session_write_close' );
ini_set( 'session.auto_start', false );

//세션설정
session_name('kuls_session'); //사이트 개별적인 세션명
session_set_cookie_params(0, '/', _DOMAIN_);
ini_set('session.cache_expire', 3600); //세션 캐시 유효시간
ini_set('session.gc_maxlifetime', 3600 * 24); //세션 가비지 컬렉션 (세션지속 시간)
ini_set("session.gc_probability", 1); //세션 가비지 컬렉션 확률 분자
ini_set("session.gc_divisor", 100); //세설 가비지 컬렉션 확률 분모
session_cache_limiter('nocache'); //폼내용 유지설정 nocache(지워짐), private(보존함)

//세션파일 별도 관리
define( '_SESS_PATH_', _UP_PATH_.'/sess' );
if( !file_exists(_SESS_PATH_) ) mkdir(_SESS_PATH_);
session_save_path( _SESS_PATH_ );

//세션시작
session_start();

$_DBConfig = parse_ini_file ( "db_config.php" );

//테스트 모드 설정 - 테스트 및 작업시: 0, 사이트운영: 1;
define( '_USE_MODE_', 0 );

//오류메시지 출력설정 - 사이트운영시 1
ini_set("display_errors", _USE_MODE_?"0":"1");
if( !_USE_MODE_ ){
  error_reporting(E_ALL & ~E_WARNING & ~E_NOTICE & ~E_DEPRECATED & ~E_USER_DEPRECATED);
}

//쿠키 기본설정
define('_COOKIE_DOMAIN_', _DOMAIN_);
//쿠키 만료기간
define('_COOKIE_EXPIRE_', 0);
//쿠키 경로
define('_COOKIE_PATH_', '/');

//암호화/복호화 사용자 Key
define('_AUTH_KEY_', 'kulsauth_');

//
define('_SDATENULL_', '1970-01-01');
define('_FDATENULL_', '3000-12-31');

//Table 정의
include_once _CONF_PATH_."/table_config.php";

//관련 LIB 로딩 / DB접속
include_once _LIB_PATH_."/common_lib.php";

//회원 및 기본정보 로드
include_once _LIB_PATH_."/globals_inc.php";
